unit OOPReg;

interface

procedure Register;

implementation

uses Classes, DsgnIntf, OOPHilit, PlusMemo, PMemoReg, ExtHilit, PlusKeys;

type TOOPKeywordsProperty = class(TKeywordsProperty)
                                 public
                                     procedure Edit; override;
                                 end;

procedure TOOPKeywordsProperty.Edit;
var
  MyHighlight: TOOPHighlighter;
  MyList     : TExtKeywordList;
  tmplist    : TKeywordList;
  i          : Integer;
begin
  MyHighlight:= GetComponent(0) as TOOPHighlighter;
  MyList:= TExtHighlighter(MyHighlight).Keywords;
  tmplist:= TKeywordList.Create;
  tmplist.Assign(MyList);
  if EditKeywordList(tmplist) then
    begin
      for i:= 0 to tmplist.Count-1 do
        if i<MyList.Count then pExtKeyInfoLen(MyList.Objects[i])^.BasicInfo.BasicPart:= pKeyInfoLen(tmplist.Objects[i])^.BasicPart;
      Modified;  
      MyHighlight.ReApplyKeys
    end;
  tmplist.Free
end;


procedure Register;
begin
  RegisterComponents('ECM', [TOOPHighlighter]);
  RegisterPropertyEditor(TypeInfo(TOOPKeywordList), TOOPHighlighter, 'Keywords', TOOPKeywordsProperty);
end;


end.

